Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source
Class XmlSourceEditorView

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.AbstractEditorView
          com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorView

All Implemented Interfaces:
  XmlEditorView, XmlLocationListener, PropertyChangeNotifier, java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor, XmlSourceEditorFactory.WsdlMockResponseXmlSourceEditor, XmlSourceEditorFactory.WsdlRequestXmlSourceEditor, XmlSourceEditorFactory.WsdlResponseXmlSourceEditor

    public class XmlSourceEditorView

extends AbstractEditorView
implements java.beans.PropertyChangeListener

Default "XML" source editor view in soapUI

Author:
  ole.matzura

Nested Class Summary
`class` | `XmlSourceEditorView.ValidateMessageXmlAction`

Field Summary
`boolean` | `isLocating`

Fields inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlEditorView
`TITLE_PROPERTY`

Constructor Summary
`XmlSourceEditorView(XmlEditor xmlEditor)`

Method Summary
`boolean` | `activate(XmlLocation location)`
`protected void` | `buildPopup(javax.swing.JPopupMenu inputPopup, JXEditTextArea editArea)`
`protected void` | `buildUI()`
`javax.swing.JComponent` | `getComponent()`
`int` | `getCurrentColumn()`
`int` | `getCurrentLine()`
`javax.swing.JPopupMenu` | `getEditorPopup()`
`javax.swing.JScrollPane` | `getEditorScrollPane()`
`JXEditTextArea` | `getInputArea()`
`XmlLocation` | `getLocation()`
`java.lang.String` | `getText()`
`java.lang.String` | `getViewId()`
`boolean` | `hasFocus()`
`boolean` | `isInspectable()`
`void` | `locationChanged(XmlLocation location)`
`void` | `release()`
`boolean` | `saveDocument(boolean validate)`
`void` | `setEditable(boolean enabled)`
`void` | `setLocation(XmlLocation location)`
`void` | `setXml(java.lang.String xml)`
`boolean` | `validate()`
`protected ValidationError[]` | `validateXml(java.lang.String xml)`

Methods inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.AbstractEditorView
`addLocationListener, addPropertyChangeListener, addPropertyChangeListener, deactivate, fireLocationChanged, getEditor, getPropertyChangeSupport, getTitle, getXmlDocument, isActive, isXmlChanged, propertyChange, removeLocationListener, removePropertyChangeListener, removePropertyChangeListener, requestFocus, setTitle, setXmlDocument, syncUpdates, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### isLocating

    public boolean isLocating

Constructor Detail

### XmlSourceEditorView

    public XmlSourceEditorView(XmlEditor xmlEditor)

Method Detail

### buildUI

    protected void buildUI()

### getEditorScrollPane

    public javax.swing.JScrollPane getEditorScrollPane()

### buildPopup

    protected void buildPopup(javax.swing.JPopupMenu inputPopup,
                              JXEditTextArea editArea)

### release

    public void release()

  Specified by:
    `release` in interface `XmlEditorView`
  Overrides:
    `release` in class `AbstractEditorView`

### getInputArea

    public JXEditTextArea getInputArea()

### setEditable

    public void setEditable(boolean enabled)

  Specified by:
    `setEditable` in interface `XmlEditorView`

### validateXml

    protected ValidationError[] validateXml(java.lang.String xml)

### activate

    public boolean activate(XmlLocation location)

  Specified by:
    `activate` in interface `XmlEditorView`
  Overrides:
    `activate` in class `AbstractEditorView`

### getComponent

    public javax.swing.JComponent getComponent()

  Specified by:
    `getComponent` in interface `XmlEditorView`

### getLocation

    public XmlLocation getLocation()

  Specified by:
    `getLocation` in interface `XmlEditorView`
  Overrides:
    `getLocation` in class `AbstractEditorView`

### setLocation

    public void setLocation(XmlLocation location)

  Specified by:
    `setLocation` in interface `XmlEditorView`
  Overrides:
    `setLocation` in class `AbstractEditorView`

### getCurrentLine

    public int getCurrentLine()

### getCurrentColumn

    public int getCurrentColumn()

### getText

    public java.lang.String getText()

### validate

    public boolean validate()

### setXml

    public void setXml(java.lang.String xml)

  Specified by:
    `setXml` in class `AbstractEditorView`

### saveDocument

    public boolean saveDocument(boolean validate)

  Specified by:
    `saveDocument` in interface `XmlEditorView`

### locationChanged

    public void locationChanged(XmlLocation location)

  Specified by:
    `locationChanged` in interface `XmlLocationListener`
  Overrides:
    `locationChanged` in class `AbstractEditorView`

### getEditorPopup

    public javax.swing.JPopupMenu getEditorPopup()

### hasFocus

    public boolean hasFocus()

### isInspectable

    public boolean isInspectable()

  Specified by:
    `isInspectable` in interface `XmlEditorView`

### getViewId

    public java.lang.String getViewId()

  Specified by:
    `getViewId` in interface `XmlEditorView`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.